Bug 236750 - When bonding is used and IPV6 is enabled the message of 'kernel: bond0: duplicate address detected!' is output
When bonding is used and IPV6 is enabled the message of 'kernel: bond0: dupli...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andy Gospodarek
Martin Jenner
: OtherQA
Depends On:
Blocks: 246258 409971 425461 516985
  Show dependency treegraph
 
Reported: 2007-04-17 10:46 EDT by Martin Poole
Modified: 2014-06-29 18:58 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 516985 (view as bug list)
Environment:
Last Closed: 2009-01-20 15:06:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Poole 2007-04-17 10:46:12 EDT
Description of problem:

 When bonding is used, the message of "kernel: bond0: duplicate address
detected!" is output to /var/log/messages.
  The bonding device seems to work correctly.
  When IPv6 is invalidated, this message is not output. 

Version-Release number of selected component (if applicable):


How reproducible:

 always

Steps to Reproduce:
   1) The /etc/sysconfig/network-scripts/ifcfg-bond0, ifcfg-ethA, ifcfg-ethB
file is set.
  2) The bonding device is set to /etc/modprobe.conf.
        For Example :
               alias bond0 bonding
               options bonding mode=1 primary=eth2 miimon=200
  3) IPv6 is set to /etc/modprobe.conf, /etc/sysconfig/network.
        For Example :
          /etc/modprobe.conf
               alias net-pf-10 on
          /etc/sysconfig/network
               NETWORKING_IPV6=yes
  4) "shutdown -r now" or "service network restart"
  
Actual results:

 The following are output to /var/log/messages.
    Apr 10 12:14:29 tx200s2 kernel: bond0: duplicate address detected!


Expected results:

 When bonding is used, the message of "kernel: bond0: duplicate address
detected!" is not output to /var/log/messages.

Additional info:
Comment 1 Issue Tracker 2007-09-11 19:31:33 EDT
Setting IPV6_AUTOCONF=no in the ifcfg files didn't help, but disabling
IPv6 completely on the interface makes it go away.

Internal Status set to 'Waiting on Engineering'
Version set to: '5'

This event sent from IssueTracker by csnook 
 issue 126584
Comment 2 Andy Gospodarek 2007-10-29 11:22:39 EDT
This was fixed upstream, but I guess we missed it for 5.1.

commit c2edacf80e155ef54ae4774379d461b60896bc2e
Author: Jay Vosburgh <fubar@us.ibm.com>
Date:   Mon Jul 9 10:42:47 2007 -0700

    bonding / ipv6: no addrconf for slaves separately from master
Comment 3 RHEL Product and Program Management 2007-10-29 11:25:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Andy Gospodarek 2007-11-20 09:08:36 EST
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel5

Please test them and report back your results.
Comment 10 Don Zickus 2007-12-21 15:17:06 EST
in 2.6.18-62.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 13 Andy Gospodarek 2008-04-07 11:20:33 EDT
This is probably not completely fixed in rhel5, since these bits got missed. :-(

commit c2edacf80e155ef54ae4774379d461b60896bc2e
Author: Jay Vosburgh <fubar@us.ibm.com>
Date:   Mon Jul 9 10:42:47 2007 -0700

    bonding / ipv6: no addrconf for slaves separately from master

        At present, when a device is enslaved to bonding, if ipv6 is
    active then addrconf will be initated on the slave (because it is closed
    then opened during the enslavement processing).  This causes DAD and RS
    packets to be sent from the slave.  These packets in turn can confuse
    switches that perform ipv6 snooping, causing them to incorrectly update
    their forwarding tables (if, e.g., the slave being added is an inactve
    backup that won't be used right away) and direct traffic away from the
    active slave to a backup slave (where the incoming packets will be
    dropped).

        This patch alters the behavior so that addrconf will only run on
    the master device itself.  I believe this is logically correct, as it
    prevents slaves from having an IPv6 identity independent from the
    master.  This is consistent with the IPv4 behavior for bonding.

        This is accomplished by (a) having bonding set IFF_SLAVE sooner
    in the enslavement processing than currently occurs (before open, not
    after), and (b) having ipv6 addrconf ignore UP and CHANGE events on
    slave devices.

        The eql driver also uses the IFF_SLAVE flag.  I inspected eql,
    and I believe this change is reasonable for its usage of IFF_SLAVE, but
    I did not test it.

    Signed-off-by: Jay Vosburgh <fubar@us.ibm.com>
    Signed-off-by: Jeff Garzik <jeff@garzik.org>

diff --git a/net/ipv6/addrconf.c b/net/ipv6/addrconf.c
index f96ed76..79b79f3 100644
--- a/net/ipv6/addrconf.c
+++ b/net/ipv6/addrconf.c
@@ -2268,6 +2268,9 @@ static int addrconf_notify(struct notifier_block *this,
unsigned long event,
                break;
        case NETDEV_UP:
        case NETDEV_CHANGE:
+               if (dev->flags & IFF_SLAVE)
+                       break;
+
                if (event == NETDEV_UP) {
                        if (!netif_carrier_ok(dev)) {
                                /* device is not ready yet. */
Comment 14 Issue Tracker 2008-04-10 09:30:04 EDT
Existing BZ for this prob on RHEL5 after discussing with Gospo.  Cloned
from the RHEL4 one since we need to fix it in RHEL5 too.  Gospo pointed
out that the patch on QA for RHEL5 doesn't have all the bits it really
needs but we need to see how QA wants to handle this.

--vince


This event sent from IssueTracker by vincew 
 issue 173549
Comment 15 Andy Gospodarek 2008-04-10 09:56:24 EDT
I've already talked to Jay Vosburgh at IBM about this because they were noticing
that we missed a small part of the patch (I guess my scripts are too clever) and
they indicated that they would like it fixed soon, but it isn't a show-stopped
for 5.2.
Comment 16 Andy Gospodarek 2008-04-10 16:45:38 EDT
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel5

Please test them and report back your results.
Comment 19 Andy Gospodarek 2008-04-25 08:38:47 EDT
No, we are too late for GA, but we can have it in 5.3 at least.
Comment 22 RHEL Product and Program Management 2008-04-25 10:44:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 27 Don Zickus 2008-07-18 16:06:22 EDT
in kernel-2.6.18-98.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 30 Mike Gahagan 2008-11-14 15:22:01 EST
confirmed bonding update is in the -123 kernel, partner verified it is working for them a good while ago.
Comment 32 errata-xmlrpc 2009-01-20 15:06:02 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html
Comment 37 Menny Hamburger 2009-08-12 03:42:09 EDT
We are still experiancing this bug on RHEL5.3 although the addrconf_notify patch is applied.
Comment 38 Chris Ward 2009-08-12 03:53:49 EDT
I have re-opened this bug over at bug #516985. Please update that bug with additional details about the issue your encountering so we can work to address it in an upcoming RHEL 5 errata. Thanks.
Comment 39 Menny Hamburger 2009-08-12 03:59:02 EDT
We got this together with this gc bug:
http://www.mail-archive.com/git-commits-head@vger.kernel.org/msg23418.html

2009 Aug 11 01:10:13 node0 INFO: kernel: bond0: duplicate address detected!
2009 Aug 11 01:12:12 node0 INFO: kernel: bond0: duplicate address detected!
2009 Aug 11 01:12:12 node0 INFO: kernel: bond0: duplicate address detected!
2009 Aug 11 01:12:42 node0 INFO: kernel: bond0: duplicate address detected!
2009 Aug 11 01:14:58 node0 INFO: kernel: bond0: duplicate address detected!
2009 Aug 11 01:14:58 node0 INFO: kernel: bond0: duplicate address detected!
2009 Aug 11 01:15:41 node0 INFO: kernel: bond0: duplicate address detected!
2009 Aug 11 01:15:41 node0 INFO: kernel: bond0: duplicate address detected!
2009 Aug 11 01:16:29 node0 INFO: kernel: bond0: duplicate address detected!
2009 Aug 11 01:19:30 node0 INFO: kernel: bond0: duplicate address detected!
2009 Aug 11 01:19:30 node0 INFO: kernel: bond0: duplicate address detected!
2009 Aug 11 01:19:30 node0 INFO: kernel: bond0: duplicate address detected!
2009 Aug 11 01:19:40 node0 NOTICE: kernel: nfs: server localhost not responding, still trying
2009 Aug 11 01:19:40 node0 MAJOR: kernel: BUG: soft lockup - CPU#4 stuck for 10s! [swapper:0]
2009 Aug 11 01:19:40 node0 WARNING: kernel:
2009 Aug 11 01:19:40 node0 WARNING: kernel: Pid: 0, comm:              swapper
2009 Aug 11 01:19:40 node0 WARNING: kernel: EIP: 0060:[<c060d588>] CPU: 4
2009 Aug 11 01:19:40 node0 WARNING: kernel: EIP is at dst_destroy+0x8/0xd0
2009 Aug 11 01:19:40 node0 WARNING: kernel: EFLAGS: 00000246    Tainted: G       (2.6.18-128sys #1)
2009 Aug 11 01:19:40 node0 WARNING: kernel: EAX: f5283780 EBX: 00000000 ECX: 00000001 EDX: f5283780
2009 Aug 11 01:19:40 node0 WARNING: kernel: ESI: f5283780 EDI: c07a9fc4 EBP: c060d6b0 DS: 007b ES: 007b
2009 Aug 11 01:19:40 node0 WARNING: kernel: CR0: 8005003b CR2: b60fdffc CR3: 0079f000 CR4: 000006f0
2009 Aug 11 01:19:40 node0 WARNING: kernel: [<c060d762>] dst_run_gc+0xb2/0x110
2009 Aug 11 01:19:40 node0 WARNING: kernel: [<c0433961>] run_timer_softirq+0x111/0x190
2009 Aug 11 01:19:40 node0 WARNING: kernel: [<c043b908>] __rcu_process_callbacks+0x108/0x1a0
2009 Aug 11 01:19:40 node0 WARNING: kernel: [<c042f530>] __do_softirq+0x80/0x150
2009 Aug 11 01:19:40 node0 WARNING: kernel: [<c0407dbd>] do_softirq+0x6d/0xc0
2009 Aug 11 01:19:40 node0 WARNING: kernel: [<c0405e07>] apic_timer_interrupt+0x1f/0x24
2009 Aug 11 01:19:40 node0 WARNING: kernel: [<c0564ffe>] acpi_safe_halt+0x14/0x20
2009 Aug 11 01:19:40 node0 WARNING: kernel: [<c056519e>] acpi_processor_idle+0x13e/0x364
2009 Aug 11 01:19:40 node0 WARNING: kernel: [<c0565064>] acpi_processor_idle+0x4/0x364
2009 Aug 11 01:19:40 node0 WARNING: kernel: [<c0403f04>] cpu_idle+0x74/0xd0
2009 Aug 11 01:19:40 node0 WARNING: kernel: =======================
2009 Aug 11 01:19:41 node0 MAJOR: kernel: BUG: soft lockup - CPU#2 stuck for 10s! [swapper:0]
2009 Aug 11 01:19:41 node0 WARNING: kernel:
2009 Aug 11 01:19:41 node0 WARNING: kernel: Pid: 0, comm:              swapper
2009 Aug 11 01:19:41 node0 WARNING: kernel: EIP: 0060:[<c067817b>] CPU: 2
2009 Aug 11 01:19:41 node0 WARNING: kernel: EIP is at __read_lock_failed+0x3/0x18
2009 Aug 11 01:19:41 node0 WARNING: kernel: EFLAGS: 00000297    Tainted: G       (2.6.18-128sys #1)
2009 Aug 11 01:19:41 node0 WARNING: kernel: EAX: f902370c EBX: f902370c ECX: 00000005 EDX: c07a7e60
2009 Aug 11 01:19:41 node0 WARNING: kernel: ESI: c07a7e3c EDI: 00000005 EBP: c07a7e58 DS: 007b ES: 007b
2009 Aug 11 01:19:41 node0 WARNING: kernel: CR0: 8005003b CR2: 00446a30 CR3: 0079f000 CR4: 000006f0
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c067a905>] _read_lock_bh+0x15/0x20
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8ff2007>] ip6_pol_route_input+0x47/0x1c0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8ff1fc0>] ip6_pol_route_input+0x0/0x1c0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f900d994>] fib6_rule_action+0x84/0xf0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f900d910>] fib6_rule_action+0x0/0xf0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0617a24>] fib_rules_lookup+0x64/0x90
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f900dbdf>] fib6_rule_lookup+0x2f/0x80 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8ff1fc0>] ip6_pol_route_input+0x0/0x1c0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8ff04ba>] ip6_route_input+0xea/0x100 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8fe772d>] ipv6_rcv+0x38d/0x3e0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8fe73a0>] ipv6_rcv+0x0/0x3e0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0609dc4>] netif_receive_skb+0x2c4/0x450
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f890a687>] igb_clean_rx_irq_adv+0x4d7/0x690 [igb]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f890c100>] igb_clean_rx_ring_msix+0x40/0x1f0 [igb]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8915783>] __kc_adapter_clean+0x23/0x40 [igb]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c060bbf0>] net_rx_action+0xc0/0x1e0
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c042f530>] __do_softirq+0x80/0x150
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0407dbd>] do_softirq+0x6d/0xc0
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0406faa>] do_nmi+0xaa/0x290
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0459d30>] __do_IRQ+0x0/0x110
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0407e9c>] do_IRQ+0x8c/0x100
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0405d76>] common_interrupt+0x1a/0x20
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0564ffe>] acpi_safe_halt+0x14/0x20
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c056519e>] acpi_processor_idle+0x13e/0x364
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0403f04>] cpu_idle+0x74/0xd0
2009 Aug 11 01:19:41 node0 WARNING: kernel: =======================
2009 Aug 11 01:19:41 node0 MAJOR: kernel: BUG: soft lockup - CPU#1 stuck for 10s! [swapper:0]
2009 Aug 11 01:19:41 node0 WARNING: kernel:
2009 Aug 11 01:19:41 node0 WARNING: kernel: Pid: 0, comm:              swapper
2009 Aug 11 01:19:41 node0 WARNING: kernel: EIP: 0060:[<c067a9bf>] CPU: 1
2009 Aug 11 01:19:41 node0 WARNING: kernel: EIP is at _spin_lock_bh+0xf/0x20
2009 Aug 11 01:19:41 node0 WARNING: kernel: EFLAGS: 00000286    Tainted: G       (2.6.18-128sys #1)
2009 Aug 11 01:19:41 node0 WARNING: kernel: EAX: c07a6000 EBX: c0710578 ECX: 01000001 EDX: f41ea680
2009 Aug 11 01:19:41 node0 WARNING: kernel: ESI: 00000000 EDI: f5283514 EBP: f44d92a0 DS: 007b ES: 007b
2009 Aug 11 01:19:41 node0 WARNING: kernel: CR0: 8005003b CR2: 098e92e8 CR3: 0079f000 CR4: 000006f0
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c060d65d>] __dst_free+0xd/0x60
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8ff4058>] fib6_add+0x518/0x610 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c060ec1c>] neigh_lookup+0xbc/0xd0
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8ff0b26>] ip6_ins_rt+0x46/0x70 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8ff20c9>] ip6_pol_route_input+0x109/0x1c0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8ff1fc0>] ip6_pol_route_input+0x0/0x1c0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f900d994>] fib6_rule_action+0x84/0xf0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f900d910>] fib6_rule_action+0x0/0xf0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0617a24>] fib_rules_lookup+0x64/0x90
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f900dbdf>] fib6_rule_lookup+0x2f/0x80 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8ff1fc0>] ip6_pol_route_input+0x0/0x1c0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8ff04ba>] ip6_route_input+0xea/0x100 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8fe772d>] ipv6_rcv+0x38d/0x3e0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8fe73a0>] ipv6_rcv+0x0/0x3e0 [ipv6]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0609dc4>] netif_receive_skb+0x2c4/0x450
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f890a687>] igb_clean_rx_irq_adv+0x4d7/0x690 [igb]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8907776>] igb_set_itr+0x106/0x160 [igb]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0441166>] hrtimer_run_queues+0x76/0x1a0
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f890c100>] igb_clean_rx_ring_msix+0x40/0x1f0 [igb]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<f8915783>] __kc_adapter_clean+0x23/0x40 [igb]
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c060bbf0>] net_rx_action+0xc0/0x1e0
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c042f530>] __do_softirq+0x80/0x150
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0407dbd>] do_softirq+0x6d/0xc0
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0406faa>] do_nmi+0xaa/0x290
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0459d30>] __do_IRQ+0x0/0x110
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0407e9c>] do_IRQ+0x8c/0x100
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0405d76>] common_interrupt+0x1a/0x20
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c056524a>] acpi_processor_idle+0x1ea/0x364
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c05653bf>] acpi_processor_idle+0x35f/0x364
2009 Aug 11 01:19:41 node0 WARNING: kernel: [<c0403f04>] cpu_idle+0x74/0xd0
2009 Aug 11 01:19:41 node0 WARNING: kernel: =======================
2009 Aug 11 01:19:42 node0 MAJOR: kernel: BUG: soft lockup - CPU#7 stuck for 10s! [swapper:0]
2009 Aug 11 01:19:42 node0 WARNING: kernel:
2009 Aug 11 01:19:42 node0 WARNING: kernel: Pid: 0, comm:              swapper
2009 Aug 11 01:19:42 node0 WARNING: kernel: EIP: 0060:[<c067817d>] CPU: 7
2009 Aug 11 01:19:42 node0 WARNING: kernel: EIP is at __read_lock_failed+0x5/0x18
2009 Aug 11 01:19:42 node0 WARNING: kernel: EFLAGS: 00000297    Tainted: G       (2.6.18-128sys #1)
2009 Aug 11 01:19:42 node0 WARNING: kernel: EAX: f902370c EBX: f902370c ECX: 00000005 EDX: c07ace14
2009 Aug 11 01:19:42 node0 WARNING: kernel: ESI: c07acdf0 EDI: 00000005 EBP: c07ace0c DS: 007b ES: 007b
2009 Aug 11 01:19:42 node0 WARNING: kernel: CR0: 8005003b CR2: 00d710a0 CR3: 0079f000 CR4: 000006f0
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c067a905>] _read_lock_bh+0x15/0x20
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<f8ff2007>] ip6_pol_route_input+0x47/0x1c0 [ipv6]
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<f8ff1fc0>] ip6_pol_route_input+0x0/0x1c0 [ipv6]
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<f900d994>] fib6_rule_action+0x84/0xf0 [ipv6]
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<f900d910>] fib6_rule_action+0x0/0xf0 [ipv6]
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c0617a24>] fib_rules_lookup+0x64/0x90
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<f900dbdf>] fib6_rule_lookup+0x2f/0x80 [ipv6]
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<f8ff1fc0>] ip6_pol_route_input+0x0/0x1c0 [ipv6]
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<f8ff04ba>] ip6_route_input+0xea/0x100 [ipv6]
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<f8fe772d>] ipv6_rcv+0x38d/0x3e0 [ipv6]
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c064db83>] arp_rcv+0xa3/0x130
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<f8fe73a0>] ipv6_rcv+0x0/0x3e0 [ipv6]
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c0609dc4>] netif_receive_skb+0x2c4/0x450
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c0605523>] __alloc_skb+0x53/0x110
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<f899c8d6>] bnx2_poll+0x546/0x1160 [bnx2]
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c0424a4c>] __build_sched_domains+0x26c/0xdd0
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c0407e9c>] do_IRQ+0x8c/0x100
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c060bbf0>] net_rx_action+0xc0/0x1e0
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c042f530>] __do_softirq+0x80/0x150
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c0407dbd>] do_softirq+0x6d/0xc0
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c0405e07>] apic_timer_interrupt+0x1f/0x24
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c056524a>] acpi_processor_idle+0x1ea/0x364
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c05653c0>] acpi_processor_idle+0x360/0x364
2009 Aug 11 01:19:42 node0 WARNING: kernel: [<c0403f04>] cpu_idle+0x74/0xd0
Comment 40 Chris Ward 2009-08-12 04:04:38 EDT
I apologize for any inconvenience, but please post all further comments and information about this issue to bug #516985. That's the bug that will be looked at by our engineers. This bug has already been closed. Thanks!

Note You need to log in before you can comment on or make changes to this bug.